# Class DesktopIconUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.DesktopIconUI

Direct Known Subclasses:
  `BasicDesktopIconUI, MultiDesktopIconUI`

public abstract class DesktopIconUI extends ComponentUI
Pluggable look and feel interface for JDesktopIcon.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DesktopIconUI()`
  Constructor for subclasses to call.

- ## Method Summary

  ### Methods declared in class ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DesktopIconUI

    protected DesktopIconUI()
    Constructor for subclasses to call.